> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Box Sign Requests

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = href;
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

## All

The <Link href="/reference/get-sign-requests">get sign requests endpoint</Link> can be used to view a list of all Box
Sign requests created by the user associated with the passed Access Token.

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X GET "https://api.box.com/2.0/sign_requests" \
       -H "authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.signRequests.getSignRequests();
  ```

  ```python Python v10 theme={null}
  client.sign_requests.get_sign_requests()
  ```

  ```cs .NET v10 theme={null}
  await client.SignRequests.GetSignRequestsAsync();
  ```

  ```swift Swift v10 theme={null}
  try await client.signRequests.getSignRequests()
  ```

  ```java Java v10 theme={null}
  client.getSignRequests().getSignRequests()
  ```

  ```java Java v5 theme={null}
  Iterable<BoxSignRequest.Info> signRequests = BoxSignRequest.getAll(api);
  for (BoxSignRequest.Info signRequestInfo : signRequests) {
  	// Do something with each `signRequestInfo`.
  }
  ```

  ```python Python v4 theme={null}
  sign_requests = client.get_sign_requests()
  for sign_request in sign_requests:
      print(f'(Sign Request ID: {sign_request.id})')
  ```

  ```cs .NET v6 theme={null}
  BoxCollectionMarkerBased<BoxSignRequest> signRequests = await client.SignRequestsManager.GetSignRequestsAsync();
  ```

  ```javascript Node v4 theme={null}
  const result = await client.signRequests.getAll();
  console.log(`There are ${result.count} sign requests`);
  ```
</CodeGroup>

## By ID

The <Link href="/reference/get-sign-requests-id">get sign requests by ID endpoint</Link> can be used to view
information about a specific Box Sign request. This endpoint requires the sign
request's ID, which can be obtained by using the
<Link href="/reference/get-sign-requests">get all Box Sign requests endpoint</Link> or in the response when
<Link href="/reference/post-sign-requests">creating a Box Sign request</Link>.

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X GET "https://api.box.com/2.0/sign_requests/<SIGN_REQUEST_ID>" \
       -H "authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.signRequests.getSignRequestById(createdSignRequest.id!);
  ```

  ```python Python v10 theme={null}
  client.sign_requests.get_sign_request_by_id(created_sign_request.id)
  ```

  ```cs .NET v10 theme={null}
  await client.SignRequests.GetSignRequestByIdAsync(signRequestId: NullableUtils.Unwrap(createdSignRequest.Id));
  ```

  ```swift Swift v10 theme={null}
  try await client.signRequests.getSignRequestById(signRequestId: createdSignRequest.id!)
  ```

  ```java Java v10 theme={null}
  client.getSignRequests().getSignRequestById(createdSignRequest.getId())
  ```

  ```java Java v5 theme={null}
  BoxSignRequest signRequest = new BoxSignRequest(api, id);
  BoxSignRequest.Info signRequestInfo = signRequest.getInfo();

  //using `fields` parameter
  BoxSignRequest.Info signRequestInfoWithFields = signRequest.getInfo("status")
  ```

  ```python Python v4 theme={null}
  sign_request = client.sign_request(sign_request_id='12345').get()
  print(f'Sign Request ID is {sign_request.id}')
  ```

  ```cs .NET v6 theme={null}
  BoxSignRequest signRequest = await client.SignRequestsManager.GetSignRequestByIdAsync("12345");
  ```

  ```javascript Node v4 theme={null}
  const sr = await client.signRequests.getById({
  	sign_request_id: 12345,
  });
  console.log(
  	`Sign request id ${sr.id} contains ${sr.source_files.length} files`
  );
  ```
</CodeGroup>

<RelatedLinks
  title="RELATED APIS"
  items={[
{ label: translate("List Box Sign requests"), href: "/reference/get-sign-requests", badge: "GET" }
]}
/>

<RelatedLinks
  title="RELATED GUIDES"
  items={[
{ label: translate("Create Box Sign Request"), href: "/guides/box-sign/create-sign-request", badge: "GUIDE" }
]}
/>
